## org.w3c.www.mime
Class Utils

    java.lang.Object
      |
      +--org.w3c.www.mime.Utils

public class Utils
extends java.lang.Object

Constructor Summary
`Utils()`

Method Summary
`static MimeType` | `getMimeType(java.lang.String filename)`
`static java.lang.String` | `guessContentTypeFromName(java.lang.String fname)` A useful utility routine that tries to guess the content-type of an object based upon its extension.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utils

    public Utils()

Method Detail

### guessContentTypeFromName

    public static java.lang.String guessContentTypeFromName(java.lang.String fname)

  A useful utility routine that tries to guess the content-type of an object based upon its extension.

### getMimeType

    public static MimeType getMimeType(java.lang.String filename)